project(tw_metrics_tests)

set(LIBS
    tw::metrics
)

file(GLOB FILES
    ./*.cpp
)

add_executable(${PROJECT_NAME} ${FILES})

target_link_libraries(${PROJECT_NAME}
    PRIVATE
    ${LIBS}
    Catch2::Catch2WithMain
)

list(APPEND CMAKE_MODULE_PATH ${catch2_SOURCE_DIR}/extras)

include(CTest)
include(Catch)

catch_discover_tests(${PROJECT_NAME})
